% Concentration  profile along the length of the reactor
clc
Vspan = [0 2310]; % Range for the Volume of the reactor. 
y0 = [0]; % Initial values for the dependent variables X
[v,y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
Cao = 0.066;
yao=1;
epsilon = yao*(1+1-1); 
for i=1 : z(1,1)
    % Calculating the values of rate from its expression 
    Ca(i) = Cao*(1-y(i,1))/(1+epsilon*y(i,1)); 
    Cb(i) = Cao*y(i,1)/(1+epsilon*y(i,1)); 
Cc(i) = Cb(i);
     end
    plot(v,Ca,v,Cb,v,Cc)
    xlabel('Volume')
    ylabel('Concentration')
    legend('C_A','C_B','C_c')
    title('Concentration profile')