% Rate of the reaction along the length of the reactor
clc
Vspan = [0 2310]; % Range for the Volume of the reactor. 
y0 = [0]; % Initial values for the dependent variables X
[v,y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
kprime=0.0074;
T = 1100;
T1 = 1000; 
R = 1.987;
E = 82000;
k1 = 0.072;
Cao = 0.066;
yao=1;
epsilon = yao*(1+1-1); 
k = k1*exp((E/R)*(1/T1-1/T));
for i=1 : z(1,1)
    % Calculating the values of rate from its expression 
    Ca(i) = Cao*(1-y(i,1))/(1+epsilon*y(i,1)); 
    ra(i) = -k*Ca(i);
   end
    plot(v,-ra)
    xlabel('Volume')
    ylabel('-ra^/')
    legend('rate')
    title('Reaction rate profile')